export = Server;
/**
 * Creates an instance of Server.
 *
 * @class
 */
declare class Server {
    /**
     * @class
     * @param {Object} options
     * @param {number} [options.port=43134] - Server port.
     * @param {Function} createNode
     */
    constructor(options: {
        port?: number | undefined;
    }, createNode: Function);
    server: any;
    port: number | undefined;
    createNode: Function;
    /**
     * Start the server
     *
     * @returns {Promise<Server>}
     */
    start(): Promise<Server>;
    /**
     * Stop the server
     *
     * @returns {Promise<void>}
     */
    stop(): Promise<void>;
}
//# sourceMappingURL=server.browser.d.ts.map